## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XObjectPtr Class Reference

Class to hold XObjectPtr return types. More...

`#include <XObject.hpp>`

Collaboration diagram for XObjectPtr:

[legend]
List of all members.

## Public Methods

- XObjectPtr (XObject *theXObject=0)
    Create an XObjectPtr. More...
- XObjectPtr (const XObjectPtr &theSource)
- XObjectPtr& operator= (const XObjectPtr &theRHS)
- ~XObjectPtr ()
- void release ()
- bool null () const
- const XObject& operator * () const
- XObject& operator * ()
- const XObject* operator-> () const
- XObject* operator-> ()
- const XObject* get () const
- XObject* get ()

## Friends

- bool operator== (const XObjectPtr &, const XObjectPtr &)
- bool operator< (const XObjectPtr &, const XObjectPtr &)

## Detailed Description

Class to hold XObjectPtr return types.

## Constructor & Destructor Documentation

XObjectPtr::XObjectPtr ( | XObject * theXObject = 0 )`[explicit]`

| Create an XObjectPtr.

XObjectPtr::XObjectPtr ( | const XObjectPtr & theSource )

XObjectPtr::~XObjectPtr ( | )

## Member Function Documentation

XObject * XObjectPtr::get ( | )

const XObject * XObjectPtr::get ( | ) const

bool XObjectPtr::null ( | ) const

XObject & XObjectPtr::operator * ( | )

const XObject & XObjectPtr::operator * ( | ) const

XObject * XObjectPtr::operator-> ( | )

const XObject * XObjectPtr::operator-> ( | ) const

XObjectPtr & XObjectPtr::operator= ( | const XObjectPtr & theRHS )

void XObjectPtr::release ( | )

## Friends And Related Function Documentation

bool operator< ( | const XObjectPtr & theLHS,
| const XObjectPtr & theRHS )`[friend]`

bool operator== ( | const XObjectPtr & theLHS,
| const XObjectPtr & theRHS )`[friend]`

The documentation for this class was generated from the following file:

- XObject.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.